Bug 434804 - anaconda includes fedorakmod with old yum
Summary: anaconda includes fedorakmod with old yum
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda
Version: 5.1
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Radek Vykydal
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-02-25 16:26 UTC by Jack Neely
Modified: 2009-01-20 21:38 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2009-01-20 21:38:01 UTC


Attachments (Terms of Use)
0001-Use-kmod-plugin-from-yum-utils-remove-it-from-anaco.patch (12.71 KB, patch)
2008-07-03 11:07 UTC, Radek Vykydal
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0164 normal SHIPPED_LIVE anaconda bug fix and enhancement update 2009-01-20 16:05:24 UTC

Description Jack Neely 2008-02-25 16:26:24 UTC
Description of problem:
The RHEL 5.1 stage2 image includes the fedorakmod yum plugin.  This is all well,
good, and actually useful, except that the version of Yum used with this
anaconda is too old and can cause tracebacks when used with kmods.

Specifically, in /usr/lib/python2.4/site-packagesyum/packages.py in the RpmBase
object the __eq__ method needs to check if the passed in package object is None.
 This is done in later versions of Yum.

Like:

  if not other:
     return False

Comment 1 Jack Neely 2008-02-25 18:59:59 UTC
I added the yum python package from Yum 3.0.5 to my product.img file. 
Amazingly, it seems that Anaconda still works and the evil tracebacks are gone.
 (3.0.5 was released shortly after I patched the above.)

Comment 2 David Lehman 2008-05-07 16:44:43 UTC
We added the plugin to anaconda because, at the time, we did not ship yum-utils
in RHEL5. Now that we do ship it, we should remove it from anaconda and use the
plugin from the yum-utils package instead.

Comment 4 RHEL Product and Program Management 2008-06-12 20:28:51 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 5 Radek Vykydal 2008-07-03 11:07:42 UTC
Created attachment 310910 [details]
0001-Use-kmod-plugin-from-yum-utils-remove-it-from-anaco.patch

Patch for removing fedorakmod.py plugin from anaconda,
using kmod.py from yum-utils instead.

Not tested yet, I need to find/create RHEL5 images build environment.

Comment 6 Radek Vykydal 2008-07-29 13:27:16 UTC
Modified with commit 094c5a9cbccfcd26ea3509736d83e8cf34bc0c6f.

Comment 7 Radek Vykydal 2008-09-10 12:23:54 UTC
Included in 11.1.2.118.

Comment 11 errata-xmlrpc 2009-01-20 21:38:01 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0164.html


Note You need to log in before you can comment on or make changes to this bug.